package com.ssj.service.kmt.dto.exercise;

import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;

public class ExerciseQuestionAnswerStyle implements Serializable {
    private static final long serialVersionUID = 1L;

    private int width = 16;

    private int height = 16;

    private String color = "#666666";

    private int flex;

    private int fontSize = 16;

    private String background = "transparent";

    private int textIndent;

    public int getWidth() {
        return width;
    }

    public void setWidth(int width) {
        this.width = width;
    }

    public int getHeight() {
        return height;
    }

    public void setHeight(int height) {
        this.height = height;
    }

    @JSONField(serialize = false)
    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }

    @JSONField(serialize = false)
    public int getFlex() {
        return flex;
    }

    public void setFlex(int flex) {
        this.flex = flex;
    }

    @JSONField(serialize = false)
    public int getFontSize() {
        return fontSize;
    }

    public void setFontSize(int fontSize) {
        this.fontSize = fontSize;
    }

    @JSONField(serialize = false)
    public String getBackground() {
        return background;
    }

    public void setBackground(String background) {
        this.background = background;
    }

    @JSONField(serialize = false)
    public int getTextIndent() {
        return textIndent;
    }

    public void setTextIndent(int textIndent) {
        this.textIndent = textIndent;
    }
}
